=== debian/changelog ===
m1n1 (1.4.3-1) unstable; urgency=medium

  * New upstream version 1.4.3
  * gbp.conf: Add upstream-vcs-tag

 -- Tobias Heider <me@tobhe.de>  Sun, 15 Oct 2023 16:38:24 +0200

m1n1 (1.3.3-1) unstable; urgency=medium

  * New upstream version 1.3.3
  * Update libfdt copyright to GPL-2.0-or-later or BSD-2-Clause

 -- Tobias Heider <me@tobhe.de>  Sat, 26 Aug 2023 19:13:00 +0200

m1n1 (1.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #1042410)

 -- Tobias Heider <me@tobhe.de>  Sun, 11 Jun 2023 23:03:54 +0200
