=== debian/changelog ===
m1n1 (1.4.11-1) unstable; urgency=medium

  * New upstream version 1.4.11

 -- Tobias Heider <me@tobhe.de>  Sun, 17 Dec 2023 18:17:11 +0100

m1n1 (1.4.8-1) unstable; urgency=medium

  * New upstream version 1.4.8

 -- Tobias Heider <me@tobhe.de>  Fri, 08 Dec 2023 14:28:25 +0100
