=== debian/control ===
Source: m1n1
Section: misc
Priority: optional
Maintainer: Tobias Heider <me@tobhe.de>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: https://github.com/AsahiLinux/m1n1
Vcs-Browser: https://salsa.debian.org/bananas-team/m1n1
Vcs-Git: https://salsa.debian.org/bananas-team/m1n1.git
Rules-Requires-Root: no

Package: m1n1
Architecture: arm64
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Bootloader for Apple Silicon
 This is the bootloader developed by the Asahi Linux project to bridge
 the Apple (XNU) boot ecosystem to the Linux boot ecosystem.
