## m1n1 1.4.16

=== debian/changelog ===
m1n1 (1.4.16-1) unstable; urgency=medium

  * New upstream version 1.4.16

 -- Tobias Heider <me@tobhe.de>  Sun, 29 Sep 2024 18:23:34 +0200

m1n1 (1.4.15-1) unstable; urgency=medium

  * New upstream version 1.4.15

 -- Tobias Heider <me@tobhe.de>  Fri, 20 Sep 2024 23:03:28 +0200
