=== debian/changelog ===
m1n1 (1.4.17-1) unstable; urgency=medium

  [ Sasha Finkelstein ]
  * clk: Revert PDM clock initialization.

 -- Tobias Heider <me@tobhe.de>  Thu, 28 Nov 2024 23:05:01 +0100
