## m1n1 1.4.21

=== Makefile ===
--- 
+++ 
@@ -101,10 +101,14 @@
 	chickens.o \
 	chickens_avalanche.o \
 	chickens_blizzard.o \
+	chickens_cyclone_typhoon.o \
 	chickens_everest.o \
 	chickens_firestorm.o \
+	chickens_hurricane_zephyr.o \
+	chickens_monsoon_mistral.o \
 	chickens_icestorm.o \
 	chickens_sawtooth.o \
+	chickens_twister.o \
 	clk.o \
 	cpufreq.o \
 	dapf.o \
@@ -123,8 +127,9 @@
 	iodev.o \
 	iova.o \
 	isp.o \
-	kboot.o \
+	kboot.o kboot_atc.o \
 	main.o \
+	mitigations.o \
 	mcc.o \
 	memory.o memory_asm.o \
 	nvme.o \
@@ -169,10 +174,10 @@
 
 DEPDIR := build/.deps
 
-.PHONY: all clean format update_tag update_cfg invoke_cc
-all: update_tag update_cfg build/$(TARGET) build/$(TARGET_RAW)
+.PHONY: all clean format invoke_cc always_rebuild
+all: build/$(TARGET) build/$(TARGET_RAW)
 clean:
-	rm -rf build/*
+	rm -rf build/* build/.deps
 format:
 	$(CLANG_FORMAT) -i src/*.c src/dcp/*.c src/math/*.c src/*.h src/dcp/*.h src/math/*.h sysinc/*.h
 format-check:
@@ -201,7 +206,7 @@
 	$(QUIET)mkdir -p "$(dir $@)"
 	$(QUIET)$(CC) -c $(BASE_CFLAGS) -MMD -MF $(DEPDIR)/$(*F).d -MQ "$@" -MP -o $@ $<
 
-build/%.o: src/%.c
+build/%.o: src/%.c build-tag build-cfg
 	$(QUIET)echo "  CC    $@"
 	$(QUIET)mkdir -p $(DEPDIR)
 	$(QUIET)mkdir -p "$(dir $@)"
@@ -227,21 +232,19 @@
 	$(QUIET)echo "  RAW   $@"
 	$(QUIET)$(OBJCOPY) -O binary --strip-debug $< $@
 
-update_tag:
+.INTERMEDIATE: build-tag build-cfg
+build-tag src/../build/build_tag.h &:
 	$(QUIET)mkdir -p build
 	$(QUIET)./version.sh > build/build_tag.tmp
 	$(QUIET)cmp -s build/build_tag.h build/build_tag.tmp 2>/dev/null || \
 	( mv -f build/build_tag.tmp build/build_tag.h && echo "  TAG   build/build_tag.h" )
 
-update_cfg:
+build-cfg src/../build/build_cfg.h &:
 	$(QUIET)mkdir -p build
 	$(QUIET)for i in $(CFG); do echo "#define $$i"; done > build/build_cfg.tmp
 	$(QUIET)cmp -s build/build_cfg.h build/build_cfg.tmp 2>/dev/null || \
 	( mv -f build/build_cfg.tmp build/build_cfg.h && echo "  CFG   build/build_cfg.h" )
 
-build/build_tag.h: update_tag
-build/build_cfg.h: update_cfg
-
 build/%.bin: data/%.bin
 	$(QUIET)echo "  IMG   $@"
 	$(QUIET)mkdir -p "$(dir $@)"
@@ -257,8 +260,4 @@
 	$(QUIET)mkdir -p "$(dir $@)"
 	$(QUIET)cp $< $@
 
-build/main.o: build/build_tag.h build/build_cfg.h src/main.c
-build/usb_dwc3.o: build/build_tag.h src/usb_dwc3.c
-build/chainload.o: build/build_cfg.h src/usb_dwc3.c
-
 -include $(DEPDIR)/*
