=== debian/changelog ===
m1n1 (1.4.21-3) unstable; urgency=medium

  * Team upload.
  * d/copyright: replace FSF physical address with web URL (fixes
    a lintian warning)

 -- NoisyCoil <noisycoil@tutanota.com>  Fri, 18 Apr 2025 13:42:10 +0200

m1n1 (1.4.21-2) unstable; urgency=medium

  * Team upload.

  [ NoisyCoil ]
  * Run wrap-and-sort -satb
  * d/control: declare compliance with Standards-Version 4.7.2
  * d/control: set Bananas Team as Maintainer and move tobhe to Uploaders
  * d/copyright: use issue tracker as Upstream-Contact
  * Add upstream metadata
  * d/patches: backport support for custom boot logos
  * Add Debian boot logo and infra for derivatives

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 15 Apr 2025 09:51:03 +0200

m1n1 (1.4.21-1) unstable; urgency=medium

  * New upstream version 1.4.21
  * Prevent NULL pointer dereference in dt_set_display() (Closes: #1094882)
  * Declare conflict with asahi-scripts (<< 20250130-1) because
    m1n1.conf moved from asahi-scripts to m1n1

 -- Tobias Heider <me@tobhe.de>  Sat, 01 Feb 2025 12:45:16 +0100

m1n1 (1.4.19-1) unstable; urgency=medium

  * New upstream version 1.4.19

 -- Tobias Heider <me@tobhe.de>  Tue, 28 Jan 2025 14:40:11 +0100
