## m1n1 1.5.0

=== Makefile ===
--- 
+++ 
@@ -3,10 +3,12 @@
 ifeq ($(shell uname),Darwin)
 USE_CLANG ?= 1
 $(info INFO: Building on Darwin)
-ifeq ($(shell uname -p),arm)
-TOOLCHAIN ?= /opt/homebrew/opt/llvm/bin/
-else
-TOOLCHAIN ?= /usr/local/opt/llvm/bin/
+BREW ?= $(shell command -v brew)
+TOOLCHAIN ?= $(shell $(BREW) --prefix llvm)/bin/
+ifeq ($(shell ls $(TOOLCHAIN)/ld.lld 2>/dev/null),)
+LLDDIR ?= $(shell $(BREW) --prefix lld)/bin/
+else
+LLDDIR ?= $(TOOLCHAIN)
 endif
 $(info INFO: Toolchain path: $(TOOLCHAIN))
 endif
@@ -15,12 +17,16 @@
 ARCH ?=
 else
 ARCH ?= aarch64-linux-gnu-
+endif
+
+ifneq ($(TOOLCHAIN),$(LLDDIR))
+$(info INFO: LLD path: $(LLDDIR))
 endif
 
 ifeq ($(USE_CLANG),1)
 CC := $(TOOLCHAIN)clang --target=$(ARCH)
 AS := $(TOOLCHAIN)clang --target=$(ARCH)
-LD := $(TOOLCHAIN)ld.lld
+LD := $(LLDDIR)ld.lld
 OBJCOPY := $(TOOLCHAIN)llvm-objcopy
 CLANG_FORMAT ?= $(TOOLCHAIN)clang-format
 EXTRA_CFLAGS ?=
@@ -95,7 +101,7 @@
 	afk.o \
 	aic.o \
 	asc.o \
-	bootlogo_128.o bootlogo_256.o \
+	bootlogo_48.o bootlogo_128.o bootlogo_256.o \
 	chainload.o \
 	chainload_asm.o \
 	chickens.o \
@@ -228,9 +234,20 @@
 	$(QUIET)echo "  MACHO $@"
 	$(QUIET)$(OBJCOPY) -O binary --strip-debug $< $@
 
+ifeq ($(LOGO),)
 build/$(NAME).bin: build/$(NAME)-raw.elf
 	$(QUIET)echo "  RAW   $@"
 	$(QUIET)$(OBJCOPY) -O binary --strip-debug $< $@
+
+else
+build/$(NAME)-asahi.bin: build/$(NAME)-raw.elf
+	$(QUIET)echo "  RAW   $@"
+	$(QUIET)$(OBJCOPY) -O binary --strip-debug $< $@
+
+build/$(NAME).bin: build/$(NAME)-asahi.bin build/$(LOGO).logo
+	$(QUIET)echo "  RAW   $@"
+	$(QUIET)cat $^ > $@
+endif
 
 .INTERMEDIATE: build-tag build-cfg
 build-tag src/../build/build_tag.h &:
@@ -260,4 +277,16 @@
 	$(QUIET)mkdir -p "$(dir $@)"
 	$(QUIET)cp $< $@
 
+build/%.rgba: data/%.png
+	$(eval SIZE := $(lastword $(subst _, ,$*)))
+	$(QUIET)echo "  MAGIC $@"
+	$(QUIET)mkdir -p "$(dir $@)"
+	$(QUIET)magick $< -background black -flatten -depth 8 -crop $(SIZE)x$(SIZE) -resize $(SIZE)x$(SIZE) rgba:$@
+
+build/%.logo: build/%_256.rgba build/%_128.rgba
+	$(QUIET)echo "  PAYLOAD $@"
+	$(QUIET)mkdir -p "$(dir $@)"
+	$(QUIET)echo -n "m1n1_logo_256128" > $@
+	$(QUIET)cat $^ >> $@
+
 -include $(DEPDIR)/*
