=== debian/changelog ===
m1n1 (1.5.0-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- NoisyCoil <noisycoil@tutanota.com>  Mon, 18 Aug 2025 22:49:15 +0200

m1n1 (1.5.0-3) experimental; urgency=medium

  * Team upload.
  * d/control: version the B-D on imagemagick to avoid installing
    graphicsmagick, as the latter does not actually Provide the former
  * d/patches: drop use-convert-as-magic.patch, not needed anymore

 -- NoisyCoil <noisycoil@tutanota.com>  Sun, 17 Aug 2025 01:42:58 +0200

m1n1 (1.5.0-2) experimental; urgency=medium

  * Team upload.
  * d/patches: add use-convert-as-magic.patch to use convert as the
    MAGIC command

 -- NoisyCoil <noisycoil@tutanota.com>  Sun, 03 Aug 2025 13:12:42 +0200

m1n1 (1.5.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * d/patches: remove backported 0001-fb-Save-original-logo.patch and
    debian/patches/0002-fb-Add-custom-boot-logo-support.patch, now
    included upstream

 -- NoisyCoil <noisycoil@tutanota.com>  Sun, 03 Aug 2025 11:43:41 +0200
