## m1n1 1.5.1

=== debian/changelog ===
m1n1 (1.5.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- NoisyCoil <noisycoil@debian.org>  Sun, 19 Oct 2025 00:06:59 +0200
