## m1n1 1.5.2

=== Makefile ===
--- 
+++ 
@@ -134,6 +134,7 @@
 	iova.o \
 	isp.o \
 	kboot.o kboot_atc.o \
+	kboot_t6020_compat.o \
 	main.o \
 	mitigations.o \
 	mcc.o \
