=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.13
# by the following command:
#
#    pip-compile requirements.ini
#
construct==2.10.70
    # via -r requirements.ini
pyserial==3.5
    # via -r requirements.ini
