=== debian/changelog ===
m1n1 (1.5.2-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- NoisyCoil <noisycoil@debian.org>  Mon, 03 Nov 2025 17:28:36 +0100

m1n1 (1.5.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- NoisyCoil <noisycoil@debian.org>  Sun, 19 Oct 2025 16:05:34 +0200
