=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-exec,
- imagemagick,
+ imagemagick (>= 8:6.9.11.60~),
 Standards-Version: 4.7.2
 Homepage: https://github.com/AsahiLinux/m1n1
 Vcs-Browser: https://salsa.debian.org/bananas-team/m1n1
