=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

DEB_VENDOR_LC = $(shell echo $(DEB_VENDOR) | tr '[:upper:]' '[:lower:]')
LOGO_RADIX = $(CURDIR)/debian/logos/$(DEB_VENDOR_LC)
LOGO_DATA_RADIX = $(CURDIR)/data/$(DEB_VENDOR_LC)

ifneq (,$(wildcard $(LOGO_RADIX)_*))
LOGO_FLAG = LOGO=$(DEB_VENDOR_LC)
endif

override_dh_auto_build:
ifneq (,$(LOGO_FLAG))
	cp -a $(LOGO_RADIX)_128.png $(LOGO_RADIX)_256.png $(CURDIR)/data
endif
	dh_auto_build -- RELEASE=1 $(LOGO_FLAG)

override_dh_auto_clean:
	rm -f $(LOGO_DATA_RADIX)_128.png $(LOGO_DATA_RADIX)_256.png
	dh_auto_clean
	rm -df build
