=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/m1n1-$1\.tar\.gz/ \
  https://github.com/AsahiLinux/m1n1/tags .*\/v?(\d\S*)\.tar\.gz
